Buildroot Archive on lore.kernel.org
 help / color / mirror / Atom feed
* [Buildroot] [PATCH v2 1/2] mx53loco: update support
@ 2014-10-20 10:12 Eric Bénard
  2014-10-20 10:12 ` [Buildroot] [PATCH v2 2/2] imx6sabresd/create-boot-sd.sh: allow usage for i.MX53 Eric Bénard
  0 siblings, 1 reply; 2+ messages in thread
From: Eric Bénard @ 2014-10-20 10:12 UTC (permalink / raw)
  To: buildroot

- update bootloader to 2014.07 with fslc patches
- update kernel to 2.6.35_maintain branch which contains latest fixes
- defconfig was then generated by savedefconfig which suppressed and
  reordered some items which explains the number of lines changed.

Tested on an i.MX53 QSB and an i.MX53 QSB-R

Signed-off-by: Eric B?nard <eric@eukrea.com>
---
v2:
	- use git hash for u-boot & linux (PK)
	- use u-boot-fslc.git for u-boot (PK)
	- fix kernel headers to 2.6.35 (TP)

 configs/mx53loco_defconfig | 26 +++++++++++---------------
 1 file changed, 11 insertions(+), 15 deletions(-)

diff --git a/configs/mx53loco_defconfig b/configs/mx53loco_defconfig
index 8b12238..a6e01b1 100644
--- a/configs/mx53loco_defconfig
+++ b/configs/mx53loco_defconfig
@@ -1,22 +1,18 @@
-# Architecture
 BR2_arm=y
 BR2_cortex_a8=y
-BR2_ARM_FPU_VFPV3D16=y
-
-# System
+BR2_KERNEL_HEADERS_VERSION=y
+BR2_DEFAULT_KERNEL_VERSION="2.6.35"
 BR2_TARGET_GENERIC_GETTY_PORT="ttymxc0"
-BR2_TARGET_UBOOT=y
-BR2_TARGET_UBOOT_BOARDNAME="mx53_loco"
-BR2_TARGET_UBOOT_CUSTOM_GIT=y
-BR2_TARGET_UBOOT_CUSTOM_REPO_URL="git://git.freescale.com/imx/uboot-imx.git"
-BR2_TARGET_UBOOT_CUSTOM_REPO_VERSION="rel_imx_2.6.35_11.09.01"
-
-# filesystem
-BR2_TARGET_ROOTFS_EXT2=y
-
-# Kernel
 BR2_LINUX_KERNEL=y
 BR2_LINUX_KERNEL_CUSTOM_GIT=y
 BR2_LINUX_KERNEL_CUSTOM_REPO_URL="git://git.freescale.com/imx/linux-2.6-imx.git"
-BR2_LINUX_KERNEL_CUSTOM_REPO_VERSION="rel_imx_2.6.35_11.09.01"
+BR2_LINUX_KERNEL_CUSTOM_REPO_VERSION="b3912bb8a4caf3ec50909135e88af959982c43ca"
 BR2_LINUX_KERNEL_DEFCONFIG="imx5"
+BR2_LINUX_KERNEL_ZIMAGE=y
+BR2_TARGET_ROOTFS_EXT2=y
+BR2_TARGET_UBOOT=y
+BR2_TARGET_UBOOT_BOARDNAME="mx53loco"
+BR2_TARGET_UBOOT_CUSTOM_GIT=y
+BR2_TARGET_UBOOT_CUSTOM_REPO_URL="git://github.com/Freescale/u-boot-fslc.git"
+BR2_TARGET_UBOOT_CUSTOM_REPO_VERSION="e36968af0a033e9d66535928886103370620cb4d"
+BR2_TARGET_UBOOT_FORMAT_IMX=y
-- 
2.1.1

^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [Buildroot] [PATCH v2 2/2] imx6sabresd/create-boot-sd.sh: allow usage for i.MX53
  2014-10-20 10:12 [Buildroot] [PATCH v2 1/2] mx53loco: update support Eric Bénard
@ 2014-10-20 10:12 ` Eric Bénard
  0 siblings, 0 replies; 2+ messages in thread
From: Eric Bénard @ 2014-10-20 10:12 UTC (permalink / raw)
  To: buildroot

this script permits the generation of an sdcard that will boot on
and i.MX53 QSB with a recent bootloader (now supported by buildroot).

Tested on an i.MX53 QSB and an i.MX53 QSB-R

Signed-off-by: Eric B?nard <eric@eukrea.com>
---
 board/freescale/imx53loco/create-boot-sd.sh   | 1 +
 board/freescale/imx6sabresd/create-boot-sd.sh | 8 +++-----
 2 files changed, 4 insertions(+), 5 deletions(-)
 create mode 120000 board/freescale/imx53loco/create-boot-sd.sh

diff --git a/board/freescale/imx53loco/create-boot-sd.sh b/board/freescale/imx53loco/create-boot-sd.sh
new file mode 120000
index 0000000..3083fd2
--- /dev/null
+++ b/board/freescale/imx53loco/create-boot-sd.sh
@@ -0,0 +1 @@
+../imx6sabresd/create-boot-sd.sh
\ No newline at end of file
diff --git a/board/freescale/imx6sabresd/create-boot-sd.sh b/board/freescale/imx6sabresd/create-boot-sd.sh
index 9930b1e..af45115 100755
--- a/board/freescale/imx6sabresd/create-boot-sd.sh
+++ b/board/freescale/imx6sabresd/create-boot-sd.sh
@@ -7,9 +7,7 @@ PROGNAME=$(basename $0)
 
 usage()
 {
-    echo "Create an SD card that boots on an i.MX6DL SABRESD board."
-    echo "It is supposed to work also for the i.MX6Q SABRESD board, but"
-    echo "it this is not tested."
+    echo "Create an SD card that boots on an i.MX53/6 board."
     echo
     echo "Note: all data on the the card will be completely deleted!"
     echo "Use with care!"
@@ -77,8 +75,8 @@ TMPDIR=$(mktemp -d)
 # FAT partition: kernel and DTBs
 mkfs.vfat ${PART1}
 mount ${PART1} ${TMPDIR}
-cp output/images/uImage ${TMPDIR}/
-cp output/images/*.dtb  ${TMPDIR}/
+cp output/images/*Image ${TMPDIR}/
+cp output/images/*.dtb  ${TMPDIR}/ || true
 sync
 umount ${TMPDIR}
 
-- 
2.1.1

^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2014-10-20 10:12 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-10-20 10:12 [Buildroot] [PATCH v2 1/2] mx53loco: update support Eric Bénard
2014-10-20 10:12 ` [Buildroot] [PATCH v2 2/2] imx6sabresd/create-boot-sd.sh: allow usage for i.MX53 Eric Bénard

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox